# 32/64bit spec-file
# Adapted for UPLOS thanks to    
# D.M-Wilhelm (leiche)      
# Sun Nov 07 2010              
# Email <meisssw01 at aol.com> 
# License GPL2                 
# 
%define prefix /usr
%define name UPLOS-FLV-Player
%define version 5.4
%define release %mkrel 2
%define url http://www.liberainformatica.it/forum/forumdisplay.php?fid=25

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Play and convert FLV & MP4 Videos
Summary(de):	Spielt und konventiert FLV & MP4 Videos
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
BuildRequires:	parallel
Requires:	gtkdialog, yad, mplayer, bash, parallel
Requires: 	normalize, ffmpeg
Obsoletes:	%name < %version

%description
A Simple Player for your stored videos from youtube or 
other websites using flv type videos. With the converter 
you can convert the audio to mp3, wav, ogg, mpeg4 or wma. 
It is easy to use.

#german
%description -l de
FLV Player und Konverter dient zur einfachen Wiedergabe 
Ihrer gespeicherten Videos von YouTube oder ähnlichen 
Webseiten welche Videos im Dateiformat FLV zur Verfügung 
stellen. 
Mit dem Konverter lassen sich die Audiodateien ins 
mp3-, wav-, ogg-, wma- oder mpeg4-Format umwandeln.


#spain
%description -l es
Un Reproductor sencillo para los videos descargados de 
youtube y otros sitios que usan formatos flv/mp4. Con el 
convertidor puede cambiar el audio a mp3, wav, ogg, aac, 
flac o wma. Es facil de usar.

%prep

%setup -q -n %{name}-%{version}
for i in $(find . -type f ); do sed -i 's/pclinuxos/uplos/g' "$i";done
for i in $(find . -type f ); do sed -i 's/pclos/uplos/g' "$i";done
for i in $(find . -type f ); do sed -i 's/PCLinuxOS/UPLOS/g' "$i";done

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_bindir}
install -m 755 uplos-flv-main %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}/%{_datadir}/%{name}
install -m 644 uploslogo.png %{buildroot}%{_datadir}/%{name}/uploslogo.png
cp -a $RPM_BUILD_DIR/%{name}-%{version}/icons %{buildroot}%{_datadir}/%{name}/
install -m 755 xwinwrap settings help uplos-flv-main batch_convert edit_dialog %{buildroot}%{_datadir}/%{name}/
install -m 644 Version ChangeLog %{buildroot}%{_datadir}/%{name}/

#icons
mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
convert  $RPM_BUILD_DIR/%{name}-%{version}/icons/default_icons/flv-play.png -resize 16x16 %buildroot/%{_miconsdir}/uplos_flv_main.png
convert $RPM_BUILD_DIR/%{name}-%{version}/icons/default_icons/flv-play.png -resize 48x48 %buildroot/%{_liconsdir}/uplos_flv_main.png
mkdir -p %buildroot/%{_iconsdir}/hicolor/32x32/apps
convert $RPM_BUILD_DIR/%{name}-%{version}/icons/default_icons/flv-play.png -resize 32x32 %buildroot/%{_iconsdir}/hicolor/32x32/apps/uplos_flv_main.png

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/uplos-flv-main << EOF
# simple launcher for %{name}
#
%{_datadir}/%{name}/uplos-flv-main
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/uplos-flv-main



#desktop starter
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/uplos-flvplayer.desktop << EOF
[Desktop Entry]
Name=uplos FLV/MP4 player
Name[de]=uplos FLV/MP4 Player
Comment=plays and convert flv & mp4 files
Comment[de]=spielt und konventiert FLV & MP4 Dateien
Exec=%{_datadir}/%{name}/uplos-flv-main
Icon=%{_iconsdir}/hicolor/32x32/apps/uplos_flv_main.png
Terminal=false
Type=Application
Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Video;
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,es,el}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/uplos-flv-main.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/uplos-flv-main-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/uplos-flv-main.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/uplos-flv-main-es_ES.po
msgfmt -o  %{buildroot}%{_datadir}/locale/el/LC_MESSAGES/uplos-flv-main.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/uplos-flv-main-el_EL.po


%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}


%files
%defattr(-,root,root)
%{_bindir}/uplos-flv-main
%{_datadir}/applications/uplos-flvplayer.desktop
%{_datadir}/%{name}/uploslogo.png
%{_datadir}/%{name}/help
%{_datadir}/%{name}/xwinwrap
%{_datadir}/%{name}/settings
%{_datadir}/%{name}/batch_convert
%{_datadir}/%{name}/uplos-flv-main
%{_datadir}/%{name}/ChangeLog
%{_datadir}/%{name}/Version
%{_datadir}/%{name}/edit_dialog
%{_datadir}/%{name}/icons/*.png
%exclude %{_datadir}/%{name}/icons/default_icons
%{_miconsdir}/uplos_flv_main.png
%{_iconsdir}/hicolor/32x32/apps/uplos_flv_main.png
%{_liconsdir}/uplos_flv_main.png
%{_datadir}/locale/*/LC_MESSAGES/uplos-flv-main.mo
%doc copying readme

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Feb 15 2017 adrianomorselli <adrianomorselli> 5.4-2uplos2017
- rebuild for uplos and removed pclos reference and old stuff
